Application: gvSIG desktop - gvSIG feature requests #2829
Set "Enable cache" for WFS layer active by default
09/19/2014 12:32 PM - Antonio Falciano

Status: Won't fix % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: WEFS

Target version: 2.3.0-2424 (rev. org.gvsig.deskiop-2.0.130)

gvSIG version: 21.0 Add-on resolve version:
Keywords: wfs, cache Add-on resolve build:

Has patch: Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

The "Enable cache" checkbox in the Options tab of the WFS wizard should be active by default.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2869: The copy of a cach... New 10/13/2014

Associated revisions

Revision 121 - 11/25/2014 01:51 PM - Joaquin del Cerro Murciano

refs #2829. Sustituida la persistencia del check de refrescar cache de usar las preferencias de java a las preferencias del plugin, y puesto por defecto

su valor a true.

History

#1 - 10/13/2014 11:07 AM - Alvaro Anguix
- Related to gvSIG bugs #2869: The copy of a cached WFS layer into another view is retrieved again added

#2 - 10/28/2014 10:26 AM - Antonio Falciano

- Target version set to 2.1.0-2259-rc3

| tried with the following little correction:

Index: org.gvsig.wfs.app.mainplugin/src/main/java/org/gvsig/wfs/gui/wizards/WFSWizard.java

--- org.gvsig.wfs.app.mainplugin/src/main/java/org/gvsig/wfs/gui/wizards/WFSWizard.java (revisione 120)
+++ org.gvsig.wfs.app.mainplugin/src/main/java/org/gvsig/wfs/gui/wizards/WFSWizard.java (copia locale)
@@ -114,7 +114,7 @@

private static Preferences fPrefs = Preferences.userRoot().node(

"gvsig.wfs-wizard");

private boolean refreshing = fPrefs.getBoolean("refresh_capabilities",
- false);
+ true);

private final String wfs_properties_extensionpoint_name

= "WFSPropertiesDialog";
...but the checkbox is not enabled. What am | missing?

#3 - 11/25/2014 01:58 PM - Joaquin del Cerro Murciano

- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2258-testing
- Assignee set to Joaquin del Cerro Murciano

- Status changed from New to Fixed

Hola Antonio,

pues no tengo muy claro por que no te funciona esa modificacion.

Es posible que si que te vaya pero no lo aprecies.

Ese codigo esta usando las preferencias de java, que en windows se guardan en el registro del sistema, con lo que aunque se borre la carpeta de
gvSIG, tanto de la instalacion como en el HOME del usuario el valor que se almaceno en las preferencias sigue estando para la proxima ejecucion de
gvSIG.

He sustituido ese codigo por otro que use las preferencias del plugin de gvSIG, que se guardan en:

HOME/gvSIG/plugins/org.gvsig.wfs.app.mainplugin/plugin-persistence.dat

Y he dejado su valor por defecto a true.

#4 - 11/27/2014 10:55 AM - Alvaro Anguix

- Status changed from Fixed to Closed

#5 - 11/27/2014 12:07 PM - Antonio Falciano

- File enable_cache.png added

The "Enable cache" checkbox is always not active, but the main deriving issue (GML retrieved at each zoom change) is disappeared, why?

#6 - 02/08/2016 06:35 PM - Antonio Falciano
- Target version changed from 2.1.0-2258-testing to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

- Status changed from Closed to New

The enableCacheCheckBox in the WFSOptionsPanel class (and not the WFSWizard one as in #2829#note-2) should be active by default in order to
avoid to send a GetFeature request each time the user refreshes the view. This checkbox is still not checked (its value is false) in build 2421.
Related to #2831

#7 - 02/17/2016 10:26 AM - Antonio Falciano

- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2424 (rev. org.gvsig.desktop-2.0.130)
- Status changed from New to Won't fix

Because the "Enable cache" checkbox doesn't exist anymore (it's substituted by the initial "Refresh cache" checkbox, see gvsig-wfs:r254), we can set

the status of this ticket as "Won't fix".
